<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Build
- (c) Copyright IBM Corporation 2012, 2014. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-->
<plugin-upgrade xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <migrate to-version="2">
    <migrate-command name="Create Component Version">
      <migrate-properties>
        <migrate-property name="includes"/>
        <migrate-property name="excludes"/>
      </migrate-properties>
      <remove-properties>
        <remove-property name="baseDir"/>
        <remove-property name="offset"/>
      </remove-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="3">
    <migrate-command name="Deploy Component Version">
    </migrate-command>
  </migrate>

  <migrate to-version="4">
    <migrate-command name="Deploy Component Version">
      <migrate-properties>
        <migrate-property default="${p:environment}" name="environmentName" old="envName"/>
        <migrate-property default="${p:appProcess}" name="applicationProcess"/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="5">
    <migrate-command name="Set Component Version Properties">
    </migrate-command>
  </migrate>

  <migrate to-version="6">
    <migrate-command name="Upload Artifacts To Version">
    </migrate-command>
  </migrate>

  <migrate to-version="7">
    <migrate-command name="Upload Artifact Set">
    </migrate-command>
    <migrate-command name="Upload All Artifact Sets">
    </migrate-command>
  </migrate>

  <migrate to-version="8">
    <migrate-id new="com.urbancode.air.plugin.uDeploy" old="com.urbancode.ubuild.plugin.uDeploy"/>
  </migrate>

  <migrate to-version="9">
    <migrate-command name="Create Component Version">
      <migrate-properties>
        <migrate-property name="versionDesc"/>
        <migrate-property name="propertiesTextArea"/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="10">
    <migrate-command name="Upload All Artifact Sets">
      <migrate-properties>
        <migrate-property name="versionDesc"/>
        <migrate-property name="propertiesTextArea"/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="11">
  </migrate>

  <migrate to-version="12">
  </migrate>

  <migrate to-version="13">
  </migrate>

  <migrate to-version="14">
    <migrate-command name="Create Component Version">
      <migrate-properties>
        <migrate-property name="status"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Add Component Version Status"/>
  </migrate>

  <migrate to-version="15">
  </migrate>

  <migrate to-version="16">
  </migrate>

  <migrate to-version="17">
  </migrate>

  <migrate to-version="18">
    <migrate-property-group name="IBM UrbanCode Deploy" old="uDeploy" type="Automation">
      <migrate-properties>
        <migrate-property name="authToken"/>
      </migrate-properties>
    </migrate-property-group>
  </migrate>

  <migrate to-version="19">
  </migrate>

  <migrate to-version="20">
    <migrate-property-group name="IBM UrbanCode Deploy" type="Automation">
      <migrate-properties>
        <migrate-property default="6.0" name="ucdVersionSelection"/>
      </migrate-properties>
    </migrate-property-group>
  </migrate>

  <migrate to-version="21">
    <migrate-command name="Upload Artifact Set">
      <migrate-properties>
        <migrate-property name="suppressArtifactSetDir"/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="22">
  </migrate>

  <migrate to-version="23">
  </migrate>

  <migrate to-version="24">
  </migrate>

  <migrate to-version="25">
    <migrate-command name="Upload Artifact Set">
      <migrate-properties>
        <migrate-property name="versionDesc"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Create Component Version">
      <migrate-properties>
        <migrate-property name="createVersionLink"/>
        <migrate-property name="linkName"/>
        <migrate-property name="linkUrl"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Create Version Link"/>
  </migrate>

  <migrate to-version="26">
  </migrate>

  <migrate to-version="27">
    <migrate-command name="Create Component Version">
      <migrate-properties>
        <migrate-property name="testPercentage"/>
        <migrate-property name="codeAnalytics"/>
        <migrate-property name="codeCoverage"/>
        <migrate-property name="sourceChange"/>
        <migrate-property name="workItem"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Set Component Version Properties">
      <migrate-properties>
        <migrate-property name="testPercentage"/>
        <migrate-property name="codeAnalytics"/>
        <migrate-property name="codeCoverage"/>
        <migrate-property name="sourceChange"/>
        <migrate-property name="workItem"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Upload All Artifact Sets">
     <migrate-properties>
        <migrate-property name="testPercentage"/>
        <migrate-property name="codeAnalytics"/>
        <migrate-property name="codeCoverage"/>
        <migrate-property name="sourceChange"/>
        <migrate-property name="workItem"/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <migrate to-version="28">
  </migrate>

  <migrate to-version="29">
  </migrate>

  <migrate to-version="30">
    <migrate-command name="Upload Artifacts To Version">
      <migrate-properties>
        <migrate-property name="versionDesc"/>
      </migrate-properties>
    </migrate-command>

    <migrate-property-group name="IBM UrbanCode Deploy" type="Automation">
      <migrate-properties>
        <migrate-property name="downloadAllArtifactsUrlScript"/>
        <migrate-property name="downloadSingleArtifactUrlScript"/>
        <migrate-property name="listArtifactsUrlScript"/>
        <migrate-property name="jsonFormatterScript"/>
      </migrate-properties>
    </migrate-property-group>
  </migrate>

  <migrate to-version="31">
    <migrate-command name="Create Component Version">
      <migrate-properties>
        <migrate-property name="artifactsBaseDir"/>
      </migrate-properties>
    </migrate-command>
  </migrate>

  <!-- v32 intentionally empty -->
  <migrate to-version="32"></migrate>


</plugin-upgrade>
